Subject: Re: bug#62009: 29.0.60; Emacs crashes on setf symbol-name

From: Gregory Heytings <[email-masked]>
Date: Fri, 10 Mar 2023 10:59:03 +0000

>
> Creating a string is not a good idea since it will lead to an 
> unacceptably large performance overhead.
>

Is "symbol-name" a function that is used in performance-critical code? 
And did you actually measure that performance overhead before concluding 
that it it "unacceptably large"?  According to my measurements, creating a 
string from a symbol name costs about 100 CPU cycles.

>
> Raising an exception upon modification would be the best approach.
>

That would also come with a performance overhead, as there is currently no 
way to distinguist strings that are used for symbol names from other 
strings.  Not to mention the added complexity in the code.